tuscany-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ajbor...@apache.org
Subject svn commit: r453538 - in /incubator/tuscany/cpp/sca: projectsvc7/tuscany_sca/tuscany_sca_ws_service/ runtime/extensions/ws/service/axis2c/src/
Date Fri, 06 Oct 2006 10:13:30 GMT
Author: ajborley
Date: Fri Oct  6 03:13:30 2006
New Revision: 453538

URL: http://svn.apache.org/viewvc?view=rev&rev=453538
Log:
Added scripts to deploy the Axis2C WS service stuff to Axis. Included the scripts in the Linux
and VC7 build files so they end up in deploy/extensions/ws/service

Added:
    incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.cmd
    incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh   (with props)
Modified:
    incubator/tuscany/cpp/sca/projectsvc7/tuscany_sca/tuscany_sca_ws_service/tuscany_sca_ws_service.vcproj
    incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/Makefile.am

Modified: incubator/tuscany/cpp/sca/projectsvc7/tuscany_sca/tuscany_sca_ws_service/tuscany_sca_ws_service.vcproj
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/projectsvc7/tuscany_sca/tuscany_sca_ws_service/tuscany_sca_ws_service.vcproj?view=diff&rev=453538&r1=453537&r2=453538
==============================================================================
--- incubator/tuscany/cpp/sca/projectsvc7/tuscany_sca/tuscany_sca_ws_service/tuscany_sca_ws_service.vcproj
(original)
+++ incubator/tuscany/cpp/sca/projectsvc7/tuscany_sca/tuscany_sca_ws_service/tuscany_sca_ws_service.vcproj
Fri Oct  6 03:13:30 2006
@@ -124,6 +124,7 @@
 copy ..\..\..\runtime\extensions\ws\xsd\*.xsd ..\..\..\deploy\extensions\ws\xsd
 copy ..\..\..\runtime\extensions\ws\service\axis2c\src\services.xml ..\..\..\deploy\extensions\ws\service\services\tuscany
 copy ..\..\..\runtime\extensions\ws\service\axis2c\src\axis2.xml ..\..\..\deploy\extensions\ws\service\
+copy ..\..\..\runtime\extensions\ws\service\axis2c\src\deploy.cmd ..\..\..\deploy\extensions\ws\service\
 "/>
 			<Tool
 				Name="VCPreBuildEventTool"/>

Modified: incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/Makefile.am?view=diff&rev=453538&r1=453537&r2=453538
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/Makefile.am (original)
+++ incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/Makefile.am Fri Oct
 6 03:13:30 2006
@@ -55,7 +55,7 @@
 moduledir=$(rootdir)/modules/tuscany
 module_DATA = module.xml
 
-EXTRA_DIST = axis2.xml services.xml module.xml
+EXTRA_DIST = axis2.xml services.xml module.xml deploy.sh
 
 install-data-hook:
 	cd $(servicedir); ln -s -f ../../lib/libtuscany_sca_ws_service.so libtuscany_sca_ws_service.so

Added: incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.cmd
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.cmd?view=auto&rev=453538
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.cmd (added)
+++ incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.cmd Fri Oct
 6 03:13:30 2006
@@ -0,0 +1,39 @@
+@echo off
+@REM  Licensed to the Apache Software Foundation (ASF) under one
+@REM  or more contributor license agreements.  See the NOTICE file
+@REM  distributed with this work for additional information
+@REM  regarding copyright ownership.  The ASF licenses this file
+@REM  to you under the Apache License, Version 2.0 (the
+@REM  "License"); you may not use this file except in compliance
+@REM  with the License.  You may obtain a copy of the License at
+@REM  
+@REM    http://www.apache.org/licenses/LICENSE-2.0
+@REM    
+@REM  Unless required by applicable law or agreed to in writing,
+@REM  software distributed under the License is distributed on an
+@REM  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM  KIND, either express or implied.  See the License for the
+@REM  specific language governing permissions and limitations
+@REM  under the License.
+
+
+rem Will deploy the Tuscany SCA WS service Axis2C service and module 
+rem to the correct places within the AXIS2C_HOME directory
+setlocal
+set currentPath=%~d0%~p0
+
+if "%AXIS2C_HOME%" == "" (
+echo "AXIS2C_HOME not set"
+goto end
+)
+echo Deploying to Axis2C installed at %AXIS2C_HOME%
+
+if not exist %AXIS2C_HOME%\services\tuscany mkdir %AXIS2C_HOME%\services\tuscany
+if not exist %AXIS2C_HOME%\modules\tuscany mkdir %AXIS2C_HOME%\modules\tuscany
+
+copy %currentPath%\services\tuscany\* %AXIS2C_HOME%\services\tuscany
+copy %currentPath%\modules\tuscany\*  %AXIS2C_HOME%\modules\tuscany
+copy %currentPath%\axis2.xml %AXIS2C_HOME%\axis2.xml
+
+:end
+endlocal

Added: incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh
URL: http://svn.apache.org/viewvc/incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh?view=auto&rev=453538
==============================================================================
--- incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh (added)
+++ incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh Fri Oct 
6 03:13:30 2006
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#  
+#    http://www.apache.org/licenses/LICENSE-2.0
+#    
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+APFULLDIR=`pwd`
+
+if [ x$AXIS2C_HOME = x ]; then
+echo "AXIS2C_HOME not set"
+exit;
+fi
+echo "Deploying to Axis2C installed at $AXIS2C_HOME"
+
+if ! [ -d $AXIS2C_HOME/services/tuscany ]; then 
+   mkdir $AXIS2C_HOME/services/tuscany
+fi
+
+if ! [ -d $AXIS2C_HOME/modules/tuscany ]; then 
+   mkdir $AXIS2C_HOME/modules/tuscany
+fi
+
+cp $APFULLDIR/services/tuscany/services.xml %AXIS2C_HOME%/services/tuscany
+
+if ! [ -f $AXIS2C_HOME/services/tuscany/libtuscany_sca_ws_service.so ]; then
+   ln -s $APFULLDIR/services/tuscany/libtuscany_sca_ws_service.so $AXIS2C_HOME/services/tuscany/libtuscany_sca_ws_service.so
+fi
+
+cp $APFULLDIR/modules/tuscany/module.xml %AXIS2C_HOME%/modules/tuscany
+if ! [ -f $AXIS2C_HOME/modules/tuscany/libtuscany_sca_ws_dispatcher.so ]; then
+   ln -s $APFULLDIR/modules/tuscany/libtuscany_sca_ws_dispatcher.so $AXIS2C_HOME/modules/tuscany/libtuscany_sca_ws_dispatcher.so

+fi
+
+cp $APFULLDIR/axis2.xml $AXIS2C_HOME/axis2.xml

Propchange: incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: incubator/tuscany/cpp/sca/runtime/extensions/ws/service/axis2c/src/deploy.sh
------------------------------------------------------------------------------
    svn:keywords = Rev Date



---------------------------------------------------------------------
To unsubscribe, e-mail: tuscany-commits-unsubscribe@ws.apache.org
For additional commands, e-mail: tuscany-commits-help@ws.apache.org


Mime
View raw message